SAUNAFS-MAKESNAPSHO(1)

NAME
saunafs-makesnapshot - make lazy copies

SYNOPSIS

saunafs makesnapshot [-o] [-f] SOURCE... DESTINATION

DESCRIPTION

makesnapshot makes a "real" snapshot (lazy copy, like in case of appendchunks) of some object(s) or subtree (similarly to cp -r command). It’s atomic with respect to each SOURCE argument separately. If DESTINATION points to already existing file, error will be reported unless -f (force) or it’s alias -o (overwrite) option is given.

    Note

    if SOURCE is a directory, it’s copied as a whole; but if it’s followed by trailing slash, only directory content is copied.

OPTIONS

-l
    This option disables timeout set for this operation. (default timeout is 60 seconds)

This behavior will be default and the option removed starting from 5.0.0. If you wish to have timeouts use the timeout command.

REPORTING BUGS

Report bugs to the Github repository https://github.com/leil/saunafs as an issue.

COPYRIGHT

Copyright 2008-2009 Gemius SA

Copyright 2013-2019 Skytechnology sp. z o.o.

Copyright 2023-2024 Leil Storage OÜ

SaunaFS is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3.

SaunaFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with SaunaFS. If not, see http://www.gnu.org/licenses/.

SEE ALSO

saunafs(1), saunafs-appendchunks(1)